{% from 'macros.html' import header, minFooter %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Registration</title>
    <link rel="stylesheet" href="static/css/style.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/2.3.0/flowbite.min.js"></script>
  </head>
  <body>
    <!-- Header -->
    {{ header() }}
    <!-- Forms -->
    <div class="container px-6 mx-auto max-w-6xl">
      <div>
        <h1 class="text-3xl font-semibold text-left mt-10 text-gray-200">
          Registration
        </h1>
        <p
          class="max-w-6xl mx-auto mt-4 mb-10 text-base text-left text-gray-500 dark:text-gray-400 md:text-lg"
        >
          Registration info
        </p>
      </div>
      <!-- Form 1 -->
      <form id="formOne" class="block">
        <div class="grid gap-6 mb-6 lg:grid-cols-2">
          <!-- First Name -->
          <div>
            <label
              for="first_name"
              class="block mb-2 text-sm font-medium text-gray-300"
              >First name</label
            >
            <input
              type="text"
              id="first_name"
              class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
              placeholder="John"
              required
            />
          </div>
          <!-- Last Name -->
          <div>
            <label
              for="last_name"
              class="block mb-2 text-sm font-medium text-gray-300"
              >Last name</label
            >
            <input
              type="text"
              id="last_name"
              class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
              placeholder="Doe"
              required
            />
          </div>
          <!-- Sex -->
          <div>
            <label
              for="sex"
              class="block mb-2 text-sm font-medium text-gray-300"
              >Sex</label
            >
            <select
              class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
              name="sex"
              id="sex"
              required
            >
              <option value="male">Male</option>
              <option value="female">Female</option>
            </select>
          </div>
          <!-- Food preference -->
          <div>
            <label
              for="food_preference"
              class="block mb-2 text-sm font-medium text-gray-300"
              >Food preference</label
            >
            <select
              class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
              name="food_preference"
              id="food_preference"
              required
            >
              <option value="veg">Vegetarian</option>
              <option value="nonveg">Non-Vegetarian</option>
            </select>
          </div>
        </div>
        <!-- Phone Number -->
        <div class="mb-6">
          <label
            for="phone"
            class="block mb-2 text-sm font-medium text-gray-300"
            >Phone number</label
          >
          <input
            type="tel"
            id="phone"
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
            placeholder="9876543210"
            pattern="[0-9]{10}"
            title="Phone number must contain 10 digits."
            required
          />
        </div>
        <!-- Email -->
        <div class="mb-6">
          <label
            for="email"
            class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-300"
            >Email address</label
          >
          <input
            type="email"
            id="email"
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
            placeholder="john.doe@fshm.com"
            required
          />
        </div>
        <!-- Institution -->
        <div class="mb-6">
          <label
            for="institution"
            class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-300"
            >Institution</label
          >
          <input
            type="text"
            id="institution"
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
            placeholder="Free Software Hardware Movement"
            required
          />
        </div>
        <!-- Designation -->
        <div class="mb-6">
          <label
            for="designation"
            class="block mb-2 text-sm font-medium text-gray-300"
            >Designation</label
          >
          <select
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
            name="designation"
            id="designation"
            required
          >
            <option value="student">Student</option>
            <option value="researcher">Researcher</option>
            <option value="employee_it">IT Employee</option>
            <option value="employee_ites">ITES Employee</option>
            <option value="employee_others">Non IT/ITES Employee</option>
            <option value="employee_self">Self Employed</option>
            <option value="unemployed">Unemployed</option>
          </select>
        </div>
        <button
          class="block text-white focus:ring-4 focus:outline-none font-medium rounded-lg text-sm px-5 py-2.5 text-center bg-blue-600 hover:bg-blue-700 focus:ring-blue-800"
          type="submit"
          id="submit_form_one"
        >
          Pay now
        </button>
      </form>

      <!-- Form 2 -->
      <form id="formTwo" class="hidden">
        <!-- Transaction ID -->
        <div class="mb-6">
          <label
            for="transactionId"
            class="block mb-2 text-sm font-medium text-gray-300"
            >Transaction ID</label
          >
          <input
            type="text"
            id="transaction_id"
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
            placeholder="Transaction ID"
            required
          />
        </div>
        <!-- file -->
        <div class="mb-6">
          <label for="file" class="block text-sm font-medium text-gray-300"
            >Proof of payment</label
          >
          <p class="text-xs text-gray-400 mb-4">
            Support format JPEG, JPG, PNG
          </p>
          <input
            type="file"
            id="file"
            class="text-sm rounded-lg block p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
            required
          />
        </div>

        <hr class="my-10 mb-6 border-gray-700" />

        <!-- Portfolio Link -->
        <div class="mb-6">
          <label
            for="transactionId"
            class="block mb-2 text-sm font-medium text-gray-300"
            >Portfolio Link</label
          >
          <input
            type="url"
            id="portfolio_link"
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500 invalid:[&:not(:placeholder-shown):not(:focus)]:border-red-500"
            placeholder="Portfolio Link"
          />
        </div>
        <!-- PON -->
        <div class="mb-6">
          <label for="pon" class="block mb-2 text-sm font-medium text-gray-300"
            >How you came to know about this workshop ?</label
          >
          <select
            class="text-sm rounded-lg block w-full p-2.5 bg-gray-700 border border-gray-600 placeholder-gray-400 text-white focus:ring-blue-500 focus:border-blue-500"
            name="pon"
            id="pon"
          >
            <option value="friends">Friends</option>
            <option value="mailing_list">Mailing List</option>
            <option value="signal_group">Signal Group</option>
            <option value="whatsapp">Whatsapp</option>
            <option value="instagram">Instagram</option>
            <option value="facebook">Facebook</option>
            <option value="posters">Posters</option>
          </select>
        </div>
        <button
          type="submit"
          class="text-white mt-2 focus:ring-4 focus:outline-none font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center bg-blue-600 hover:bg-blue-700 focus:ring-blue-800"
          id="submit_form_two"
        >
          Submit
        </button>
      </form>
    </div>
    <!-- payment toggle -->
    <button
      data-modal-target="popup-modal"
      data-modal-toggle="popup-modal"
      class="hidden text-white focus:ring-4 focus:outline-none font-medium rounded-lg text-sm px-5 py-2.5 text-center bg-blue-600 hover:bg-blue-700 focus:ring-blue-800"
      type="button"
      id="payment_toggle"
    >
      Toggle payment
    </button>
    <div
      id="popup-modal"
      tabindex="-1"
      class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full"
    >
      <div class="relative p-4 w-full max-w-3xl max-h-full">
        <div class="relative bg-white rounded-lg shadow dark:bg-gray-700">
          <button
            type="button"
            class="absolute top-3 end-2.5 text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm w-8 h-8 ms-auto inline-flex justify-center items-center dark:hover:bg-gray-600 dark:hover:text-white"
            data-modal-hide="popup-modal"
          >
            <svg
              class="w-3 h-3"
              aria-hidden="true"
              xmlns="http://www.w3.org/2000/svg"
              fill="none"
              viewBox="0 0 14 14"
            >
              <path
                stroke="currentColor"
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"
              />
            </svg>
            <span class="sr-only">Close modal</span>
          </button>
          <!-- Content Space -->
          <div class="p-4 md:p-5 text-center">
            <!-- Qr Code -->
            <div
              class="container mx-auto mt-10 flex max-w-3xl flex-wrap justify-center rounded-lg bg-white px-5 py-24"
            >
              <!-- QR Code Number Account -->
              <div class="flex-wrap md:flex">
                <div class="mx-auto">
                  <img
                    class="mx-auto mt-12 h-52 w-52 rounded-lg border p-2 md:mt-0"
                    src="https://static.vecteezy.com/system/resources/previews/002/557/391/original/qr-code-for-scanning-free-vector.jpg"
                    alt="step"
                  />
                  <div>
                    <h1 class="font-laonoto mt-4 text-center text-xl font-bold">
                      Pay &#8377;1150
                    </h1>
                    <p class="mt-2 text-center font-semibold text-gray-600">
                      Payment via UPI
                    </p>
                    <p class="mt-1 text-center font-medium text-red-500">
                      fshmpy@upi
                    </p>
                  </div>
                </div>
                <!-- Step Checkout -->
                <div class="mt-8 max-w-sm md:mt-0 md:ml-10 md:w-2/3">
                  <div class="relative flex pb-12">
                    <div
                      class="absolute inset-0 flex h-full w-10 items-center justify-center"
                    >
                      <div
                        class="pointer-events-none h-full w-1 bg-gray-200"
                      ></div>
                    </div>
                    <div
                      class="relative z-10 inline-flex h-10 w-10 flex-shrink-0 items-center justify-center rounded-full bg-blue-500 text-white"
                    >
                      <svg
                        fill="none"
                        stroke="currentColor"
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        stroke-width="2"
                        class="h-5 w-5"
                        viewBox="0 0 24 24"
                      >
                        <path
                          d="M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
                        ></path>
                      </svg>
                    </div>
                    <div class="flex-grow pl-4">
                      <h2
                        class="title-font mb-1 text-sm font-medium tracking-wider text-gray-900"
                      >
                        STEP 1
                      </h2>
                      <p class="font-laonoto leading-relaxed">
                        Pay by scanning
                        <b> QR CODE </b><br />or through<b> UPI ID</b>.
                      </p>
                    </div>
                  </div>
                  <div class="relative flex pb-12">
                    <div
                      class="absolute inset-0 flex h-full w-10 items-center justify-center"
                    >
                      <div
                        class="pointer-events-none h-full w-1 bg-gray-200"
                      ></div>
                    </div>
                    <div
                      class="relative z-10 inline-flex h-10 w-10 flex-shrink-0 items-center justify-center rounded-full bg-blue-500 text-white"
                    >
                      <svg
                        fill="none"
                        stroke="currentColor"
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        stroke-width="2"
                        class="h-5 w-5"
                        viewBox="0 0 24 24"
                      >
                        <path d="M22 12h-4l-3 9L9 3l-3 9H2"></path>
                      </svg>
                    </div>
                    <div class="flex-grow pl-4">
                      <h2
                        class="title-font mb-1 text-sm font-medium tracking-wider text-gray-900"
                      >
                        STEP 2
                      </h2>
                      <p class="font-laonoto leading-relaxed">
                        For proof a payment with a screenshot of
                        <b> payment slip</b>.
                      </p>
                    </div>
                  </div>
                  <div class="relative flex pb-12">
                    <div
                      class="relative z-10 inline-flex h-10 w-10 flex-shrink-0 items-center justify-center rounded-full bg-blue-500 text-white"
                    >
                      <svg
                        fill="none"
                        stroke="currentColor"
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        stroke-width="2"
                        class="h-5 w-5"
                        viewBox="0 0 24 24"
                      >
                        <circle cx="12" cy="5" r="3"></circle>
                        <path d="M12 22V8M5 12H2a10 10 0 0020 0h-3"></path>
                      </svg>
                    </div>
                    <div class="flex-grow pl-4">
                      <h2
                        class="title-font mb-1 text-sm font-medium tracking-wider text-gray-900"
                      >
                        STEP 3
                      </h2>
                      <p class="font-laonoto leading-relaxed">
                        Click <span> <b>Yes, I Payed </b></span>to proceed to
                        the final step.
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <button
              data-modal-hide="popup-modal"
              type="button"
              id="payment_success"
              class="text-white mt-10 bg-blue-600 hover:bg-blue-500 focus:ring-4 focus:outline-none focus:ring-blue-800 font-medium rounded-lg text-sm inline-flex items-center px-5 py-2.5 text-center"
            >
              Yes, I Payed
            </button>
            <button
              data-modal-hide="popup-modal"
              type="button"
              class="py-2.5 px-5 ms-3 text-sm font-medium text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-4 focus:ring-gray-100 dark:focus:ring-gray-700 dark:bg-gray-800 dark:text-gray-400 dark:border-gray-600 dark:hover:text-white dark:hover:bg-gray-700"
            >
              No, cancel
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- Footer -->
    {{ minFooter() }}
    <script src="static/javascript/index.min.js"></script>
  </body>
</html>
